Storyden
Threads

Thread List

Get a list of all threads.

GET
/threads

Get a list of all threads.

Authorization

cookiestoryden-session<token>

Query Parameters

q?string

Search query string.

Length0 <= length
page?string

Pagination query parameters.

ignore_pinned?boolean

When set to true, pinned threads will be ignored in the results and the result will be ordered entirely by the most recent reply. By default, this is not set and pinned threads will appear at the top of the first page.

read_status?string

Filter by read status for the authenticated account. Requires authentication when supplied. A thread is unread when it has never been visited, has been explicitly marked unread, or has undeleted replies created after the last visit. Read threads have a recorded visit, no explicit unread marker, and no newer undeleted replies. Omit this parameter to include both statuses.

Value in"read""unread"
lifecycle_state?string

Filter threads by lifecycle state. Omit to include all.

Value in"open""resolved"
author?string

Show only results creeated by this user.

visibility?array<>

Filter content with specific visibility values. Note that by default, only published items are returned. When 'draft' is specified, only drafts owned by the requesting account are included. When 'review' is specified, the request will fail if the requesting account does not have the necessary permission to view in-review items.

tags?array<>

Show only results with these tags

categories?array<>

Category slugs to filter by. Multiple instances of this parameter can be used to filter by many categories. If not provided, no filtering will be applied and all threads will be returned. If ANY of the provided values is set to the exact value of "null" then only uncategorised threads will be returned. When filtering for uncategorised threads, all other values will be ignored, only the value containing "null" will be considered.

Response Body

List of all threads.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
threads*array<>
Example Request
curl -X GET 'https://example.com/api/threads'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "threads": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "title": "string",      "description": "string",      "slug": "string",      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "visibility": "draft",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "reacts": [        {          "id": "string",          "emoji": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          }        }      ],      "collections": {        "in_collections": 0,        "has_collected": true      },      "likes": {        "likes": 0,        "liked": true      },      "meta": {},      "body": "string",      "body_links": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "url": "string",          "slug": "string",          "domain": "string",          "title": "string",          "description": "string",          "favicon_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "primary_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "liveness_status": "unknown",          "liveness_checked_at": "2019-08-24T14:15:22Z",          "scrape_status": "pending",          "scrape_attempted_at": "2019-08-24T14:15:22Z",          "scraped_at": "2019-08-24T14:15:22Z"        }      ],      "pinned": 0,      "locked_at": "2019-08-24T14:15:22Z",      "read_status": {        "last_read_at": "2019-08-24T14:15:22Z",        "replies_since": 0,        "marked_unread_at": "2019-08-24T14:15:22Z"      },      "reply_status": {        "replies": 0,        "replied": 0      },      "category": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "name": "string",        "slug": "string",        "description": "string",        "colour": "string",        "sort": 0,        "parent": "string",        "cover_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "children": [          {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "deletedAt": "2019-08-24T14:15:22Z",            "misc": {},            "postCount": 0          }        ],        "meta": {}      },      "link": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "url": "string",        "slug": "string",        "domain": "string",        "title": "string",        "description": "string",        "favicon_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "primary_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "liveness_status": "unknown",        "liveness_checked_at": "2019-08-24T14:15:22Z",        "scrape_status": "pending",        "scrape_attempted_at": "2019-08-24T14:15:22Z",        "scraped_at": "2019-08-24T14:15:22Z"      },      "lifecycle_state": "open",      "conclusion_reply_id": "string",      "tags": [        {          "name": "string",          "colour": "string",          "item_count": 0        }      ],      "last_reply_at": "2019-08-24T14:15:22Z"    }  ]}